NX Open C++ Reference Guide
|
Defines an interface object for executing selection operations
To obtain an instance of this class, refer to UI
Created in NX3.0.0.
More...
Classes | |
struct | MaskTriple |
Used in selection methods to set the types of objects that are selectable. More... | |
struct | SelectionDescriptor |
For a rectangle deselection, the fields Deselection , MultipleSelection , Rectangle bits would be set. More... | |
Public Member Functions | |
void | AddToSelectionList (NXOpen::SelectionHandle *select, const std::vector< NXOpen::NXObject * > &objs, bool highlightFlag) |
Add objects to the selection list. | |
void | AddToTaggedObjectsSelectionList (NXOpen::SelectionHandle *select, const std::vector< NXOpen::TaggedObject * > &objs, bool highlightFlag) |
Add objects to the selection list. | |
NXOpen::Point3d | AskSelectionCursorPosition (NXOpen::SelectionHandle *select, NXOpen::View **view) |
Returns the view and absolute coordinates of the cursor position for the associated selection. | |
NXOpen::Selection::SelectionDescriptor | AskSelectionDescriptor (NXOpen::SelectionHandle *select) |
Returns the information in Selection::SelectionDescriptor describing the selection that was just performed. | |
int | AskSelectionListCount (NXOpen::SelectionHandle *select) |
Returns the number of objects currently selected. | |
void | AskSelectionObjectList (NXOpen::SelectionHandle *select, std::vector< NXOpen::NXObject * > &objects) |
Returns the number of objects selected and a pointer to an array of tags of the objects selected. | |
NXOpen::View * | AskSelectionRectanglePosition (NXOpen::SelectionHandle *select, NXOpen::Point3d *position1, NXOpen::Point3d *position2, NXOpen::Point3d *position3, NXOpen::Point3d *position4) |
Returns the absolute coordinates of the rectangle cursor positions. | |
void | AskSelectionTaggedObjectList (NXOpen::SelectionHandle *select, std::vector< NXOpen::TaggedObject * > &objects) |
Returns the number of tagged objects selected and a pointer to an array of tags of the objects selected. | |
int | GetNumSelectedObjects () |
Returns the number of objects currently selected. | |
NXOpen::NXObject * | GetSelectedObject (int index) |
Returns the n'th object on the selection list. | |
NXOpen::TaggedObject * | GetSelectedTaggedObject (int index) |
Returns the n'th tagged object on the selection list. | |
bool | GetSelectionStatusOfUserDefinedClass (NXOpen::UserDefinedObjects::UserDefinedClass *udoClass) |
Gets whether or not the user defined class is available for selection. | |
bool | IsObjectInSelectionList (NXOpen::SelectionHandle *select, NXOpen::TaggedObject *object) |
Inquires if object is selected. | |
void | RemoveAllFromSelectionList (NXOpen::SelectionHandle *select, bool unhighlight) |
Removes all the objects from the selection list and optionally unhighlights them. | |
void | RemoveFromSelectionList (NXOpen::SelectionHandle *select, const std::vector< NXOpen::NXObject * > &objs, bool unhighlight) |
Removes objects from the selection list. | |
void | RemoveTaggedObjectsFromSelectionList (NXOpen::SelectionHandle *select, const std::vector< NXOpen::TaggedObject * > &objs, bool unhighlight) |
Removes tagged objects from the selection list. | |
NXOpen::Selection::Response | SelectFeatures (const NXString &message, NXOpen::Selection::SelectionFeatureType featType, std::vector< NXOpen::Features::Feature * > &featureArray) |
Select features. | |
NXOpen::Selection::Response | SelectFeatures (const char *message, NXOpen::Selection::SelectionFeatureType featType, std::vector< NXOpen::Features::Feature * > &featureArray) |
Select features. | |
NXOpen::Selection::Response | SelectObject (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, NXOpen::NXObject **object, NXOpen::Point3d *cursor) |
Select single object. | |
NXOpen::Selection::Response | SelectObject (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, NXOpen::NXObject **object, NXOpen::Point3d *cursor) |
Select single object. | |
NXOpen::Selection::Response | SelectObject (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, NXOpen::NXObject **object, NXOpen::Point3d *cursor) |
Select single object using filter defined by mask triples. | |
NXOpen::Selection::Response | SelectObject (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, NXOpen::NXObject **object, NXOpen::Point3d *cursor) |
Select single object using filter defined by mask triples. | |
NXOpen::Selection::Response | SelectObject (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, NXOpen::NXObject **object, NXOpen::Point3d *cursor) |
Select single object using filter defined by selection type. | |
NXOpen::Selection::Response | SelectObject (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, NXOpen::NXObject **object, NXOpen::Point3d *cursor) |
Select single object using filter defined by selection type. | |
NXOpen::Selection::Response | SelectObjects (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, std::vector< NXOpen::NXObject * > &objectArray) |
Select objects. | |
NXOpen::Selection::Response | SelectObjects (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, std::vector< NXOpen::NXObject * > &objectArray) |
Select objects. | |
NXOpen::Selection::Response | SelectObjects (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, std::vector< NXOpen::NXObject * > &objectArray) |
Select objects using filter defined by mask triples. | |
NXOpen::Selection::Response | SelectObjects (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, std::vector< NXOpen::NXObject * > &objectArray) |
Select objects using filter defined by mask triples. | |
NXOpen::Selection::Response | SelectObjects (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, std::vector< NXOpen::NXObject * > &objectArray) |
Select objects using filter defined by selection type. | |
NXOpen::Selection::Response | SelectObjects (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, std::vector< NXOpen::NXObject * > &objectArray) |
Select objects using filter defined by selection type. | |
NXOpen::Selection::DialogResponse | SelectScreenPosition (const NXString &message, NXOpen::View **object, NXOpen::Point3d *screenPosition) |
Select screen position on graphics display. | |
NXOpen::Selection::DialogResponse | SelectScreenPosition (const char *message, NXOpen::View **object, NXOpen::Point3d *screenPosition) |
Select screen position on graphics display. | |
NXOpen::Selection::Response | SelectTaggedObject (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, NXOpen::TaggedObject **object, NXOpen::Point3d *cursor) |
Select single tagged object. | |
NXOpen::Selection::Response | SelectTaggedObject (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, NXOpen::TaggedObject **object, NXOpen::Point3d *cursor) |
Select single tagged object. | |
NXOpen::Selection::Response | SelectTaggedObject (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, NXOpen::TaggedObject **object, NXOpen::Point3d *cursor) |
Select single tagged object using filter defined by mask triples. | |
NXOpen::Selection::Response | SelectTaggedObject (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, NXOpen::TaggedObject **object, NXOpen::Point3d *cursor) |
Select single tagged object using filter defined by mask triples. | |
NXOpen::Selection::Response | SelectTaggedObject (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, NXOpen::TaggedObject **object, NXOpen::Point3d *cursor) |
Select single tagged object using filter defined by selection type. | |
NXOpen::Selection::Response | SelectTaggedObject (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, NXOpen::TaggedObject **object, NXOpen::Point3d *cursor) |
Select single tagged object using filter defined by selection type. | |
NXOpen::Selection::Response | SelectTaggedObjects (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, std::vector< NXOpen::TaggedObject * > &objectArray) |
Select tagged objects. | |
NXOpen::Selection::Response | SelectTaggedObjects (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool includeFeatures, bool keepHighlighted, std::vector< NXOpen::TaggedObject * > &objectArray) |
Select tagged objects. | |
NXOpen::Selection::Response | SelectTaggedObjects (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, std::vector< NXOpen::TaggedObject * > &objectArray) |
Select tagged objects using filter defined by mask triples. | |
NXOpen::Selection::Response | SelectTaggedObjects (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, NXOpen::Selection::SelectionAction action, bool includeFeatures, bool keepHighlighted, const std::vector< NXOpen::Selection::MaskTriple > &maskArray, std::vector< NXOpen::TaggedObject * > &objectArray) |
Select tagged objects using filter defined by mask triples. | |
NXOpen::Selection::Response | SelectTaggedObjects (const NXString &message, const NXString &title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, std::vector< NXOpen::TaggedObject * > &objectArray) |
Select tagged objects using filter defined by selection type. | |
NXOpen::Selection::Response | SelectTaggedObjects (const char *message, const char *title, NXOpen::Selection::SelectionScope scope, bool keepHighlighted, const std::vector< NXOpen::Selection::SelectionType > &typeArray, std::vector< NXOpen::TaggedObject * > &objectArray) |
Select tagged objects using filter defined by selection type. | |
void | SetSelectionCallbacks (NXOpen::SelectionHandle *select, const NXOpen::Selection::FilterCallback &filterproc, const NXOpen::Selection::SelectionCallback &selcb) |
Specify selection filter callback for additional filtering based on application specific criteria, and/or selection callback to perform application specific processing for each selection gesture processed. | |
void | SetSelectionMask (NXOpen::SelectionHandle *select, NXOpen::Selection::SelectionAction action, const std::vector< NXOpen::Selection::MaskTriple > &maskArray) |
Sets the types of objects that are selectable. | |
void | SetSelectionStatusOfUserDefinedClass (NXOpen::UserDefinedObjects::UserDefinedClass *udoClass, bool selectionStatus) |
Sets whether or not the user defined class is available for selection. | |
void | SetSelectType (NXOpen::SelectionHandle *select, NXOpen::Selection::UistylerSelectionType type) |
Sets the selection type. | |
void | SetTaggedObjectSelectionCallbacks (NXOpen::SelectionHandle *select, const NXOpen::Selection::FilterTaggedObjectCallback &filterproc, const NXOpen::Selection::TaggedObjectSelectionCallback &selcb) |
Specify selection filter callback for additional filtering of tagged objects based on application specific criteria, and/or selection callback to perform application specific processing for each selection gesture processed. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Defines an interface object for executing selection operations
To obtain an instance of this class, refer to UI
Created in NX3.0.0.
typedef NXOpen::Callback3<int, NXOpen::NXObject *, NXOpen::Selection::MaskTriple *, NXOpen::SelectionHandle *> NXOpen::Selection::FilterCallback |
It is an optional callback which the user can provide to perform
application specific filtering when selecting objects.
Created in NX5.0.0.
License requirements : None
typedef NXOpen::Callback3<int, NXOpen::TaggedObject *, NXOpen::Selection::MaskTriple *, NXOpen::SelectionHandle *> NXOpen::Selection::FilterTaggedObjectCallback |
It is an optional callback which the user can provide to perform
application specific filtering when selecting tagged objects.
Created in NX7.5.4.
License requirements : None
typedef NXOpen::Callback3<int, std::vector<NXOpen::NXObject *>, std::vector<NXOpen::NXObject *>, NXOpen::SelectionHandle *> NXOpen::Selection::SelectionCallback |
It is an optional callback which the user can provide to customize his selection
Use Selection::TaggedObjectSelectionCallback instead
Created in NX5.0.0.
License requirements : None
typedef NXOpen::Callback3<int, std::vector<NXOpen::TaggedObject *>, std::vector<NXOpen::TaggedObject *>, NXOpen::SelectionHandle *> NXOpen::Selection::TaggedObjectSelectionCallback |
It is an optional callback which the user can provide to customize his selection of tagged objects
Created in NX7.5.4.
License requirements : None
Specify the user response for general dialogs.
Indicates the type of action to perform when an object is selected.
Indicates the general class of object to filter selection.
Indicates the general class of object to filter selection.
void NXOpen::Selection::AddToSelectionList | ( | NXOpen::SelectionHandle * | select, |
const std::vector< NXOpen::NXObject * > & | objs, | ||
bool | highlightFlag | ||
) |
Add objects to the selection list.
Any objects already in the selection list are ignored. Use this function with UIStyler dialogs. You can call this from the constructor callback/selection initialization procedure to begin the dialog with objects already selected. The user can then review these objects, and if desired, deselect them.
The application selection callback can also call this function to add other objects to the selection list based on the objects(s) just selected. The selection filter procedure cannot call this function. Based on the object(s) just selected, other objects may need to be selected. For example, all edges of the selected face or all faces tangent to the selected face.
Created in NX5.0.0.
License requirements : None
select | Selection handle |
objs | Objects to be added in the selection list |
highlightFlag | If true, highlight objects |
void NXOpen::Selection::AddToTaggedObjectsSelectionList | ( | NXOpen::SelectionHandle * | select, |
const std::vector< NXOpen::TaggedObject * > & | objs, | ||
bool | highlightFlag | ||
) |
Add objects to the selection list.
Any objects already in the selection list are ignored. Use this function with UIStyler dialogs. You can call this from the constructor callback/selection initialization procedure to begin the dialog with objects already selected. The user can then review these objects, and if desired, deselect them.
The application selection callback can also call this function to add other objects to the selection list based on the objects(s) just selected. The selection filter procedure cannot call this function. Based on the object(s) just selected, other objects may need to be selected. For example, all edges of the selected face or all faces tangent to the selected face.
Created in NX7.5.4.
License requirements : None
select | Selection handle |
objs | Objects to be added in the selection list |
highlightFlag | If true, highlight objects |
NXOpen::Point3d NXOpen::Selection::AskSelectionCursorPosition | ( | NXOpen::SelectionHandle * | select, |
NXOpen::View ** | view | ||
) |
Returns the view and absolute coordinates of the cursor position for the associated selection.
If an object was selected, the view returned is the view in which the object was selected. For single position, the view is the view of the cursor. If the object was selected by name, view = NULL and the cursor position is undefined. @return
Created in NX5.0.0.
License requirements : None
select | Selection handle |
view | view |
NXOpen::Selection::SelectionDescriptor NXOpen::Selection::AskSelectionDescriptor | ( | NXOpen::SelectionHandle * | select | ) |
Returns the information in Selection::SelectionDescriptor describing the selection that was just performed.
@return
Created in NX5.0.0.
License requirements : None
select | select |
int NXOpen::Selection::AskSelectionListCount | ( | NXOpen::SelectionHandle * | select | ) |
void NXOpen::Selection::AskSelectionObjectList | ( | NXOpen::SelectionHandle * | select, |
std::vector< NXOpen::NXObject * > & | objects | ||
) |
Returns the number of objects selected and a pointer to an array of tags of the objects selected.
Use this function with UIStyler dialogs.
Created in NX5.0.0.
License requirements : None
select | Selection handle |
objects | Selected objects. |
NXOpen::View* NXOpen::Selection::AskSelectionRectanglePosition | ( | NXOpen::SelectionHandle * | select, |
NXOpen::Point3d * | position1, | ||
NXOpen::Point3d * | position2, | ||
NXOpen::Point3d * | position3, | ||
NXOpen::Point3d * | position4 | ||
) |
Returns the absolute coordinates of the rectangle cursor positions.
The view that returns is the view of the button down position.
button down position - is the position where you press and hold mouse button 1. button up position - is the position where you release mouse button 1.
Pos1 and Pos2 are the absolute coordinates of the button down and button up positions respectively. Pos3 is the absolute coordinates of the rectangle corner which, as viewed on the screen, is horizontal with pos1. Pos4 is the absolute coordinates of the rectangle corner which, as viewed on the screen, is horizontal with pos2. Returns an error if the last gesture was not rectangle.
select | Selection handle |
position1 | Absolute coordinates of the button down position |
position2 | Absolute coordinates of the button up position |
position3 | Absolute coordinates of corner of screen rectangle which is horizontal with button down position |
position4 | Absolute coordinates of corner of screen rectangle which is horizontal with button up position |
void NXOpen::Selection::AskSelectionTaggedObjectList | ( | NXOpen::SelectionHandle * | select, |
std::vector< NXOpen::TaggedObject * > & | objects | ||
) |
int NXOpen::Selection::GetNumSelectedObjects | ( | ) |
Returns the number of objects currently selected.
NXOpen::NXObject* NXOpen::Selection::GetSelectedObject | ( | int | index | ) |
Returns the n'th object on the selection list.
@return The object at the given position on the selection list. Returns NULL if the index parameter is greater than the length of the list
Created in NX3.0.0.
License requirements : None
index | The index. Should be between 0 and GetNumSelectedObjects |
NXOpen::TaggedObject* NXOpen::Selection::GetSelectedTaggedObject | ( | int | index | ) |
Returns the n'th tagged object on the selection list.
@return The object at the given position on the selection list. Returns NULL if the index parameter is greater than the length of the list
Created in NX7.5.4.
License requirements : None
index | The index. Should be between 0 and GetNumSelectedObjects |
bool NXOpen::Selection::GetSelectionStatusOfUserDefinedClass | ( | NXOpen::UserDefinedObjects::UserDefinedClass * | udoClass | ) |
Gets whether or not the user defined class is available for selection.
udoClass | The UserDefinedClass in question |
bool NXOpen::Selection::IsObjectInSelectionList | ( | NXOpen::SelectionHandle * | select, |
NXOpen::TaggedObject * | object | ||
) |
void NXOpen::Selection::RemoveAllFromSelectionList | ( | NXOpen::SelectionHandle * | select, |
bool | unhighlight | ||
) |
void NXOpen::Selection::RemoveFromSelectionList | ( | NXOpen::SelectionHandle * | select, |
const std::vector< NXOpen::NXObject * > & | objs, | ||
bool | unhighlight | ||
) |
Removes objects from the selection list.
Use this function with UIStyler dialogs. It can be called from the selection callback. It cannot be called from the selection filter procedure.
If any of the objects are not in the list, an error is returned and NO objects are removed from the list.
It could be called by the selection callback to remove objects from the selection list. For example, based on objects just deselected, the application may need to remove other associated objects from the selection list.
Created in NX5.0.0.
License requirements : None
select | Selection handle |
objs | Array of object |
unhighlight | If true, unhighlight objects |
void NXOpen::Selection::RemoveTaggedObjectsFromSelectionList | ( | NXOpen::SelectionHandle * | select, |
const std::vector< NXOpen::TaggedObject * > & | objs, | ||
bool | unhighlight | ||
) |
Removes tagged objects from the selection list.
Use this function with UIStyler dialogs. It can be called from the selection callback. It cannot be called from the selection filter procedure.
If any of the objects are not in the list, an error is returned and NO objects are removed from the list.
It could be called by the selection callback to remove objects from the selection list. For example, based on objects just deselected, the application may need to remove other associated objects from the selection list.
Created in NX7.5.4.
License requirements : None
select | Selection handle |
objs | Array of object |
unhighlight | If true, unhighlight objects |
NXOpen::Selection::Response NXOpen::Selection::SelectFeatures | ( | const NXString & | message, |
NXOpen::Selection::SelectionFeatureType | featType, | ||
std::vector< NXOpen::Features::Feature * > & | featureArray | ||
) |
Select features.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
featType | The types of features that are selectable |
featureArray | The selected features |
NXOpen::Selection::Response NXOpen::Selection::SelectFeatures | ( | const char * | message, |
NXOpen::Selection::SelectionFeatureType | featType, | ||
std::vector< NXOpen::Features::Feature * > & | featureArray | ||
) |
Select features.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
featType | The types of features that are selectable |
featureArray | The selected features |
NXOpen::Selection::Response NXOpen::Selection::SelectObject | ( | const NXString & | message, |
const NXString & | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
NXOpen::NXObject ** | object, | ||
NXOpen::Point3d * | cursor | ||
) |
Select single object.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
Created in NX3.0.0.
License requirements : None
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
object | The selected object |
cursor | Absolute coordinates of cursor position. This is undefined if object is selected by name |
NXOpen::Selection::Response NXOpen::Selection::SelectObject | ( | const char * | message, |
const char * | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
NXOpen::NXObject ** | object, | ||
NXOpen::Point3d * | cursor | ||
) |
Select single object.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
Created in NX3.0.0.
License requirements : None
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
object | The selected object |
cursor | Absolute coordinates of cursor position. This is undefined if object is selected by name |
NXOpen::Selection::Response NXOpen::Selection::SelectObject | ( | const NXString & | message, |
const NXString & | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
NXOpen::Selection::SelectionAction | action, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::MaskTriple > & | maskArray, | ||
NXOpen::NXObject ** | object, | ||
NXOpen::Point3d * | cursor | ||
) |
Select single object using filter defined by mask triples.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
Created in NX3.0.0.
License requirements : None
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
action | Indicates how the mask array will modify the selection filter |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
maskArray | Modifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter. |
object | The selected object |
cursor | Absolute coordinates of cursor position. This is undefined if object is selected by name |
NXOpen::Selection::Response NXOpen::Selection::SelectObject | ( | const char * | message, |
const char * | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
NXOpen::Selection::SelectionAction | action, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::MaskTriple > & | maskArray, | ||
NXOpen::NXObject ** | object, | ||
NXOpen::Point3d * | cursor | ||
) |
Select single object using filter defined by mask triples.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
Created in NX3.0.0.
License requirements : None
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
action | Indicates how the mask array will modify the selection filter |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
maskArray | Modifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter. |
object | The selected object |
cursor | Absolute coordinates of cursor position. This is undefined if object is selected by name |
NXOpen::Selection::Response NXOpen::Selection::SelectObject | ( | const NXString & | message, |
const NXString & | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::SelectionType > & | typeArray, | ||
NXOpen::NXObject ** | object, | ||
NXOpen::Point3d * | cursor | ||
) |
Select single object using filter defined by selection type.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
Created in NX3.0.0.
License requirements : None
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
typeArray | The types of objects that can be selected |
object | The selected object |
cursor | Absolute coordinates of cursor position. This is undefined if object is selected by name |
NXOpen::Selection::Response NXOpen::Selection::SelectObject | ( | const char * | message, |
const char * | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::SelectionType > & | typeArray, | ||
NXOpen::NXObject ** | object, | ||
NXOpen::Point3d * | cursor | ||
) |
Select single object using filter defined by selection type.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
Created in NX3.0.0.
License requirements : None
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
typeArray | The types of objects that can be selected |
object | The selected object |
cursor | Absolute coordinates of cursor position. This is undefined if object is selected by name |
NXOpen::Selection::Response NXOpen::Selection::SelectObjects | ( | const NXString & | message, |
const NXString & | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
std::vector< NXOpen::NXObject * > & | objectArray | ||
) |
Select objects.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
Created in NX3.0.0.
License requirements : None
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
objectArray | The selected objects |
NXOpen::Selection::Response NXOpen::Selection::SelectObjects | ( | const char * | message, |
const char * | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
std::vector< NXOpen::NXObject * > & | objectArray | ||
) |
Select objects.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
Created in NX3.0.0.
License requirements : None
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
objectArray | The selected objects |
NXOpen::Selection::Response NXOpen::Selection::SelectObjects | ( | const NXString & | message, |
const NXString & | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
NXOpen::Selection::SelectionAction | action, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::MaskTriple > & | maskArray, | ||
std::vector< NXOpen::NXObject * > & | objectArray | ||
) |
Select objects using filter defined by mask triples.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
Created in NX3.0.0.
License requirements : None
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
action | Indicates how the mask array will modify the selection filter |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
maskArray | Modifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter. |
objectArray | The selected objects |
NXOpen::Selection::Response NXOpen::Selection::SelectObjects | ( | const char * | message, |
const char * | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
NXOpen::Selection::SelectionAction | action, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::MaskTriple > & | maskArray, | ||
std::vector< NXOpen::NXObject * > & | objectArray | ||
) |
Select objects using filter defined by mask triples.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
Created in NX3.0.0.
License requirements : None
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
action | Indicates how the mask array will modify the selection filter |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
maskArray | Modifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter. |
objectArray | The selected objects |
NXOpen::Selection::Response NXOpen::Selection::SelectObjects | ( | const NXString & | message, |
const NXString & | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::SelectionType > & | typeArray, | ||
std::vector< NXOpen::NXObject * > & | objectArray | ||
) |
Select objects using filter defined by selection type.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
Created in NX3.0.0.
License requirements : None
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
typeArray | The types that can be selected |
objectArray | The selected objects |
NXOpen::Selection::Response NXOpen::Selection::SelectObjects | ( | const char * | message, |
const char * | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::SelectionType > & | typeArray, | ||
std::vector< NXOpen::NXObject * > & | objectArray | ||
) |
Select objects using filter defined by selection type.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
Created in NX3.0.0.
License requirements : None
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
typeArray | The types that can be selected |
objectArray | The selected objects |
NXOpen::Selection::DialogResponse NXOpen::Selection::SelectScreenPosition | ( | const NXString & | message, |
NXOpen::View ** | object, | ||
NXOpen::Point3d * | screenPosition | ||
) |
Select screen position on graphics display.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
object | View of selected screen location |
screenPosition | Selected screen position |
NXOpen::Selection::DialogResponse NXOpen::Selection::SelectScreenPosition | ( | const char * | message, |
NXOpen::View ** | object, | ||
NXOpen::Point3d * | screenPosition | ||
) |
Select screen position on graphics display.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
object | View of selected screen location |
screenPosition | Selected screen position |
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObject | ( | const NXString & | message, |
const NXString & | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
NXOpen::TaggedObject ** | object, | ||
NXOpen::Point3d * | cursor | ||
) |
Select single tagged object.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
object | The selected object |
cursor | Absolute coordinates of cursor position. This is undefined if object is selected by name |
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObject | ( | const char * | message, |
const char * | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
NXOpen::TaggedObject ** | object, | ||
NXOpen::Point3d * | cursor | ||
) |
Select single tagged object.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
object | The selected object |
cursor | Absolute coordinates of cursor position. This is undefined if object is selected by name |
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObject | ( | const NXString & | message, |
const NXString & | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
NXOpen::Selection::SelectionAction | action, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::MaskTriple > & | maskArray, | ||
NXOpen::TaggedObject ** | object, | ||
NXOpen::Point3d * | cursor | ||
) |
Select single tagged object using filter defined by mask triples.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
action | Indicates how the mask array will modify the selection filter |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
maskArray | Modifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter. |
object | The selected object |
cursor | Absolute coordinates of cursor position. This is undefined if object is selected by name |
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObject | ( | const char * | message, |
const char * | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
NXOpen::Selection::SelectionAction | action, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::MaskTriple > & | maskArray, | ||
NXOpen::TaggedObject ** | object, | ||
NXOpen::Point3d * | cursor | ||
) |
Select single tagged object using filter defined by mask triples.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
action | Indicates how the mask array will modify the selection filter |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
maskArray | Modifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter. |
object | The selected object |
cursor | Absolute coordinates of cursor position. This is undefined if object is selected by name |
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObject | ( | const NXString & | message, |
const NXString & | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::SelectionType > & | typeArray, | ||
NXOpen::TaggedObject ** | object, | ||
NXOpen::Point3d * | cursor | ||
) |
Select single tagged object using filter defined by selection type.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
typeArray | The types of objects that can be selected |
object | The selected object |
cursor | Absolute coordinates of cursor position. This is undefined if object is selected by name |
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObject | ( | const char * | message, |
const char * | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::SelectionType > & | typeArray, | ||
NXOpen::TaggedObject ** | object, | ||
NXOpen::Point3d * | cursor | ||
) |
Select single tagged object using filter defined by selection type.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
typeArray | The types of objects that can be selected |
object | The selected object |
cursor | Absolute coordinates of cursor position. This is undefined if object is selected by name |
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObjects | ( | const NXString & | message, |
const NXString & | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
std::vector< NXOpen::TaggedObject * > & | objectArray | ||
) |
Select tagged objects.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
objectArray | The selected objects |
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObjects | ( | const char * | message, |
const char * | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
std::vector< NXOpen::TaggedObject * > & | objectArray | ||
) |
Select tagged objects.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
objectArray | The selected objects |
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObjects | ( | const NXString & | message, |
const NXString & | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
NXOpen::Selection::SelectionAction | action, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::MaskTriple > & | maskArray, | ||
std::vector< NXOpen::TaggedObject * > & | objectArray | ||
) |
Select tagged objects using filter defined by mask triples.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
action | Indicates how the mask array will modify the selection filter |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
maskArray | Modifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter. |
objectArray | The selected objects |
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObjects | ( | const char * | message, |
const char * | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
NXOpen::Selection::SelectionAction | action, | ||
bool | includeFeatures, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::MaskTriple > & | maskArray, | ||
std::vector< NXOpen::TaggedObject * > & | objectArray | ||
) |
Select tagged objects using filter defined by mask triples.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
action | Indicates how the mask array will modify the selection filter |
includeFeatures | Whether to allow the selection of features |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
maskArray | Modifies the list of object types that can be selected. How it modifies the list of object types is determined by the SelectionAction parameter. |
objectArray | The selected objects |
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObjects | ( | const NXString & | message, |
const NXString & | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::SelectionType > & | typeArray, | ||
std::vector< NXOpen::TaggedObject * > & | objectArray | ||
) |
Select tagged objects using filter defined by selection type.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
typeArray | The types that can be selected |
objectArray | The selected objects |
NXOpen::Selection::Response NXOpen::Selection::SelectTaggedObjects | ( | const char * | message, |
const char * | title, | ||
NXOpen::Selection::SelectionScope | scope, | ||
bool | keepHighlighted, | ||
const std::vector< NXOpen::Selection::SelectionType > & | typeArray, | ||
std::vector< NXOpen::TaggedObject * > & | objectArray | ||
) |
Select tagged objects using filter defined by selection type.
To enable selection of objects within drawing member views, use SetCursorView API available on UFUi.
message | Cue line message to display NOTE: The full Unicode character set is not supported for this parameter. |
title | Dialog title NOTE: The full Unicode character set is not supported for this parameter. |
scope | Selection scope |
keepHighlighted | Whether to keep the selection highlighted after it has been selected |
typeArray | The types that can be selected |
objectArray | The selected objects |
void NXOpen::Selection::SetSelectionCallbacks | ( | NXOpen::SelectionHandle * | select, |
const NXOpen::Selection::FilterCallback & | filterproc, | ||
const NXOpen::Selection::SelectionCallback & | selcb | ||
) |
Specify selection filter callback for additional filtering based on application specific criteria, and/or selection callback to perform application specific processing for each selection gesture processed.
Both the filter callback and the selection callback are passed object to @link SelectionHandle SelectionHandle @endlink which can be used to inquire other selection data or modify selection. This selection handle object is no longer valid after the filter callback or selection callback is exited.
Created in NX5.0.0.
License requirements : None
void NXOpen::Selection::SetSelectionMask | ( | NXOpen::SelectionHandle * | select, |
NXOpen::Selection::SelectionAction | action, | ||
const std::vector< NXOpen::Selection::MaskTriple > & | maskArray | ||
) |
Sets the types of objects that are selectable.
If this function is not called to set the mask, then the default mask is all standard types.
Created in NX5.0.0.
License requirements : None
select | Selection handle |
action | Mask action |
maskArray | Mask triples |
void NXOpen::Selection::SetSelectionStatusOfUserDefinedClass | ( | NXOpen::UserDefinedObjects::UserDefinedClass * | udoClass, |
bool | selectionStatus | ||
) |
Sets whether or not the user defined class is available for selection.
Created in NX5.0.0.
License requirements : None
udoClass | The UserDefinedClass in question |
selectionStatus | Allow the selection of this UserDefinedClass |
void NXOpen::Selection::SetSelectType | ( | NXOpen::SelectionHandle * | select, |
NXOpen::Selection::UistylerSelectionType | type | ||
) |
void NXOpen::Selection::SetTaggedObjectSelectionCallbacks | ( | NXOpen::SelectionHandle * | select, |
const NXOpen::Selection::FilterTaggedObjectCallback & | filterproc, | ||
const NXOpen::Selection::TaggedObjectSelectionCallback & | selcb | ||
) |
Specify selection filter callback for additional filtering of tagged objects based on application specific criteria, and/or selection callback to perform application specific processing for each selection gesture processed.
Both the filter callback and the selection callback are passed object to @link SelectionHandle SelectionHandle @endlink which can be used to inquire other selection data or modify selection. This selection handle tagged object is no longer valid after the filter callback or selection callback is exited.
Created in NX7.5.4.
License requirements : None
tag_t NXOpen::Selection::Tag | ( | ) | const |
Returns the tag of this object.